NuminaDevelopers
Dashboard
Bank

Bank

Bank accounts, and bank lines with their reconciliation state. Read-only.

Endpoints

The bank line object

Endpoints
Endpoints
GET    /v1/bank-accounts
GET    /v1/bank-transactions
GET    /v1/bank-transactions/{id}
The bank line object
Object
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "bank_account_id": "550e8400-e29b-41d4-a716-446655440000",
  "bank_account_name": "string",
  "ledger_account_number": 0,
  "date": "string",
  "value_date": "string",
  "amount": 0,
  "currency": "string",
  "counterparty": "string",
  "payment_reference": "string",
  "state": "unreconciled",
  "journal_entries": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "state": "draft"
    }
  ],
  "agent_processing": false
}